## org.hibernate.internal.jaxb.mapping.orm
Class JaxbInheritance

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbInheritance

    public class JaxbInheritance

extends Object

Field Summary
`protected JaxbInheritanceType` `strategy`

Constructor Summary
`JaxbInheritance()`

Method Summary
`JaxbInheritanceType` `getStrategy()` Gets the value of the strategy property.
`void` `setStrategy(JaxbInheritanceType value)` Sets the value of the strategy property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### strategy

    protected JaxbInheritanceType strategy

Constructor Detail

### JaxbInheritance

    public JaxbInheritance()

Method Detail

### getStrategy

    public JaxbInheritanceType getStrategy()

  Gets the value of the strategy property.

  Returns:
    possible object is `JaxbInheritanceType`

### setStrategy

    public void setStrategy(JaxbInheritanceType value)

  Sets the value of the strategy property.

  Parameters:
    `value` - allowed object is `JaxbInheritanceType`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.